Subject: Re: bug#50238: [PATCH] build-self: Try printing nicer error messages.

From: Maxime Devos <[email-masked]>
Date: Wed, 09 Mar 2022 14:18:26 +0100

zimoun schreef op di 08-03-2022 om 20:22 [+0100]:
> Well, I am unsure about the addition of '(guix ui)' and by
> 'with-error-handlng' in 'build-program'.  However, maybe the exception
> handling could happen in the 'build' part.  WDYT?

Keep in mind that the result of the '(build-program ...)' is a program
that will be invoked as a separate program.  Exceptions do not
propagate accross process boundaries,  so 'build' cannot catch the
exceptions happening inside, so 'build' cannot catch the exceptions
happening inside 'build-program'.  Hence, the error handling bits need
to be inside the 'compute-guix-derivation'.

Greetings,
Maxime.